routes/web.php
<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\ShahrakController;

use App\Http\Controllers\ResidentController;
use App\Http\Controllers\LandController;

use App\Http\Controllers\ApartmentController;
use App\Http\Controllers\DocumentController;
use App\Http\Controllers\PaymentController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\RoleController;
use App\Http\Controllers\ReportController;
use Faker\Provider\ar_EG\Payment;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/




Auth::routes();
Route::get('/', [HomeController::class, 'index'])->name('dashboard');
Route::get('/countapartment', [HomeController::class, 'countapartment']);
Route::get('/countland', [HomeController::class, 'countland']);
Route::get('/privateandgovernment', [HomeController::class, 'privateandgovernment']);
Route::resource('resident', ResidentController::class);
Route::resource('land', LandController::class);
Route::resource('apartment', ApartmentController::class);
Route::resource('payment', PaymentController::class);
Route::resource('role', RoleController::class);
Route::resource('user', UserController::class);
Route::resource('document', DocumentController::class);
Route::get('report', [ReportController::class, 'form'])->name('report.form');
Route::post('report', [ReportController::class, 'generate'])->name('report.generate');
Route::resource('shahrak', ShahrakController::class);

app/Models/Land.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Land extends Model
{
    use HasFactory;
    use SoftDeletes;

    protected $softDelete = true;

    public function payments()
    {
        return $this->hasMany(Payment::class);
    }

    public function resident()
    {
        return $this->belongsTo(Resident::class);
    }

    public function shahrak()
    {
        return $this->belongsTo(Shahrak::class, 'shahrak_id');
    }
}

app/Http/Controllers/LandController.php
<?php

namespace App\Http\Controllers;

use App\Models\Land;
use App\Models\Shahrak;
use App\Models\Resident;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Validation\Rule;
use function GuzzleHttp\Promise\all;

class LandController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        // $this->middleware('guest');
        $this->middleware('auth');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data = Land::all();

        return view('land.listland',['lands' => $data]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
      $shahraks = Shahrak::orderBy('shahrak_name')->pluck('shahrak_name','id');
        $residents = Resident::orderBy('name')->get();

        return view('land.addLand', compact('shahraks','residents'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

        $request->validate([
          "resident_id" => "required",
          "shahrak_id" => "required",
          "type" => "required",
          "district" => "required",
          "Areasize" => "required",
          "Totalprice" => "required",
          "percentage" => "required",
          "net_amount" => "required",
          "date" => "required",
          'landno' => 'required|unique:lands,land_no,'.$request->landno.',id,shahrak_id,'.$request->shahrak_id,

        ]);

        $Land = new Land;
         $Jdate = explode('/', faTOen($request->date));
         $j_y = $Jdate[0];
         $j_m = $Jdate[1];
         $j_d = $Jdate[2];
         $Gdate = jalali_to_gregorian($j_y, $j_m, $j_d);

         $Land->resident_id = $request->resident_id;
         $Land->shahrak_id = $request->shahrak_id;
         $Land->land_no = $request->landno;
         $Land->district = $request->district;
         $Land->east = $request->East;
         $Land->west = $request->West;
         $Land->north = $request->North;
         $Land->south = $request->South;
         $Land->area_size = $request->Areasize;
         $Land->total_price = $request->Totalprice;
         $Land->percentage = $request->percentage;
         $Land->net_amount = $request->net_amount;
         $Land->date = $Gdate;
         $Land->resident_id = $request->resident_id;
         $Land->shahrak_id = $request->shahrak_id;
         $Land->type = $request->type;

      $Land->save();
      return redirect()->route('land.index')->with('message', 'land number '.$request->landno.'already exists in shahrak ');



     }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Land  $land
     * @return \Illuminate\Http\Response
     */
    public function show(Land $land)
    {
        return view('land.show',compact('land'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Land  $land
     * @return \Illuminate\Http\Response
     */
    public function edit(Land $land)
    {

        $shahraks = Shahrak::orderBy('shahrak_name')->pluck('shahrak_name','id');
        $residents = Resident::orderBy('name')->get();
        return view('land.edit', compact('land','shahraks','residents'));

    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Land  $land
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Land $Land)
    {
      $request->validate([
        "resident_id" => "required",
        "shahrak_id" => "required",
        "type" => "required",
        "district" => "required",
        "Areasize" => "required",
        "Totalprice" => "required",
        "percentage" => "required",
        "net_amount" => "required",
        "date" => "required",
        // 'landno' => 'required|unique:lands,land_no,'.$request->landno.',id,shahrak_id,'.$request->shahrak_id,

      ]);

        $Jdate = explode('/', faTOen($request->date));
        $j_y = $Jdate[0];
        $j_m = $Jdate[1];
        $j_d = $Jdate[2];
        $Gdate = jalali_to_gregorian($j_y, $j_m, $j_d);

        $Land = Land::find($Land->id);
        $Land->resident_id = $request->resident_id;
        $Land->shahrak_id = $request->shahrak_id;
        $Land->land_no = $request->landno;
        $Land->district = $request->district;
        $Land->east = $request->East;
        $Land->west = $request->West;
        $Land->north = $request->North;
        $Land->south = $request->South;
        $Land->area_size = $request->Areasize;
        $Land->total_price = $request->Totalprice;
        $Land->percentage = $request->percentage;
        $Land->net_amount = $request->net_amount;
        $Land->date = $Gdate;
        $Land->resident_id = $request->resident_id;
        $Land->shahrak_id = $request->shahrak_id;
        $Land->type = $request->type;
        $Land->save();

      return redirect()->route('land.index')->with('message', 'land number '.$request->landno.'adeded succssfully');

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Land  $land
     * @return \Illuminate\Http\Response
     */
    public function destroy(Land $land)
    {
        $land = Land::find($land->id);
        $land->delete();

      return redirect()->route('land.index')->with('message', __('general.record_deleted'));

    }
}

resources/views/land/addLand.blade.php
@extends('app')

@section('page_title',__('general.add_land'))

@section('body')
<div class="card card-secondary">
    <div class="card-header">
      <h3 class="card-title rtl">{{__('general.add_land')}}</h3>
    </div>
    <!-- /.card-header -->
    <div class="card-body">
        <form action="{{ route('land.store') }}" method="POST" id="save">
            @csrf
            <div class="row">

                <div class="col-sm-4">

                    <div class="form-group">
                        <label>{{__('general.resident_name')}}<span class="text-danger"> * </span></label>
                        <select class="form-control select2" style="width: 100%;" id="resident_name" name="resident_id">
                          <option value="">{{__('general.select')}}</option>
                          @foreach ($residents as $resident)
                              <option value="{{ $resident->id }}"  @if(old('resident_id') == $resident->id) selected @endif>
                                {{ $resident->NIC.'-'.$resident->name.' '.$resident->father_name.' '.$resident->grandfather_name }}
                              </option>
                          @endforeach
                        </select>
                        @error('resident_id')
                            <span style="color: red;">*  {{ $message }} </span>
                        @enderror
                      </div>

                <div class="form-group">
                    <label>{{__('general.shahrak_name')}}<span class="text-danger"> * </span></label>
                    <select class="form-control select2" style="width: 100%;" id="shahrak" name="shahrak_id">
                      <option value="">{{__('general.select')}}</option>

                      @foreach ($shahraks as $id => $shahrakname)
                      <option value="{{ $id }}"  @if(old('shahrak_id') == $id) selected @endif >{{ $shahrakname }}</option>
                    @endforeach
                    </select>
                    @error('shahrak_id')
                        <span style="color: red;">*  {{ $message }} </span>
                    @enderror
                  </div>
                  <div class="form-group">
                    <label>{{__('general.type')}}<span class="text-danger"> * </span></label>
                    <select class="form-control select2" style="width: 100%;" name="type">
                        <option value="">{{__('general.select')}}</option>
                        <option value="government"  @if(old('type') == 'government') selected @endif>{{__('general.government')}}</option>
                        <option value="private" @if(old('type') == 'private') selected @endif>{{__('general.private')}}</option>
                    </select>
                    @error('type')
                    <span style="color: red;">*  {{ $message }} </span>
                    @enderror
                  </div>
                  <div class="form-group col-sm-12">
                        <label for="exampleInputEmail1">{{__('general.land_no')}}<span class="text-danger"> * </span></label>
                        <input name="landno" value="{{ old('landno') }}" id="add_land" type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter land No">
                        @error('landno')
                            <span style="color: red;">*  {{ $message }} </span>
                        @enderror
                  </div>
                  <div class="form-group col-sm-12">
                        <label for="exampleInputEmail1">{{__('language.District')}}<span class="text-danger"> * </span></label>
                        <input name="district" value="{{ old('district') }}" type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter district">
                        @error('district')
                            <span style="color: red;">*  {{ $message }} </span>
                        @enderror
                    </div>

                </div>
                <div class="col-sm-4">

                    <div class="form-group col-sm-12">
                        <label for="exampleInputEmail1">{{__('language.East')}}</label>
                        <input name="East" type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter East">
                    </div>
                    <div class="form-group col-sm-12">
                        <label for="exampleInputEmail1">{{__('language.West')}}</label>
                        <input name="West" type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter West">
                    </div>
                    <div class="form-group col-sm-12">
                        <label for="exampleInputEmail1">{{__('language.North')}}</label>
                        <input name="North" type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter North">
                    </div>
                    <div class="form-group col-sm-12">
                        <label for="exampleInputEmail1">{{__('language.South')}}</label>
                        <input name="South" type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter South">
                    </div>
                    <div class="form-group col-sm-12">
                        <label for="exampleInputEmail1">{{__('language.Areasize')}}<span class="text-danger">*</span></label>
                        <input name="Areasize" value="{{ old('Areasize') }}" type="number" class="form-control" id="exampleInputEmail1" placeholder="Enter Area-size">
                        @error('Areasize')
                            <span style="color: red;">*  {{ $message }} </span>
                        @enderror
                    </div>

                </div>
                <div class="col-sm-4">

                    <div class="form-group col-sm-12">
                        <label for="exampleInputEmail1">{{__('language.Totalprice')}}<span class="text-danger"> * </span></label>
                        <input name="Totalprice" value="{{ old('Totalprice') }}" type="number" class="form-control" onchange="countAmount()" id="Totalprice" >
                        @error('Totalprice')
                            <span style="color: red;">*  {{ $message }} </span>
                        @enderror
                    </div>

                    <div class="form-group col-sm-12">
                        <label for="exampleInputEmail1">{{__('general.persentage')}}<span class="text-danger"> * </span></label>
                        <input name="percentage" value="{{ old('percentage') }}" type="number" class="form-control" onchange="countAmount()" id="percentage">
                        @error('percentage')
                            <span style="color: red;">*  {{ $message }} </span>
                        @enderror
                    </div>
                    <div class="form-group col-sm-12">
                        <label for="exampleInputEmail1">{{__('general.net_amount')}}<span class="text-danger"> * </span></label>
                        <input name="net_amount" value="{{ old('net_amount') }}" type="text" class="form-control" id="tax" readonly>
                        @error('net_amount')
                            <span style="color: red;">*  {{ $message }} </span>
                        @enderror
                    </div>
                    <div class="form-group col-sm-12">
                        <label>{{__('language.Date')}}<span class="text-danger"> * </span></label>

                        <input name="date" type="text" class="form-control jalali-date" data-target="#reservationdatetime">
                        @error('date')
                            <span style="color: red;">*  {{ $message }} </span>
                        @enderror


                    </div>


                </div>

        </div>
        <a  onclick="confirmsave()" class="btn btn-info btn-flat">{{__('general.add_land')}}</a>
        </div>
        </form>
    </div>
    <!-- /.card-body -->
</div>
</div>
<script>
function confirmsave() {

  let me = document.getElementById('add_land').value;
  let shahrak_name = document.getElementById('shahrak');
  let data =  shahrak_name.options[shahrak_name.selectedIndex].text;
  let resodent = document.getElementById('resident_name');
  let data2 =  resodent.options[resident_name.selectedIndex].text;
  let text = 'آیا مطمعین هستید که زمین نمبر  '+me+'  در شهرک  ' +data+'  به نام  '+data2+' ثبت نماید ';

  if (confirm(text) == true) {

    $('form#save').submit();

  }
}
</script>

@endsection

@pushOnce('datatables-script')
<script>
  function countAmount() {
      var tax = ($('#percentage').val() * $('#Totalprice').val()) / 100;
      // alert(tax);
      $('#tax').val(tax);
  }
</script>

@endpushOnce

resources/views/land/edit.blade.php
@extends('app')

@section('page_title',__('general.edit_land'))

@section('body')
<div class="card card-secondary">
    <div class="card-header">
      <h3 class="card-title rtl">{{__('general.edit_land')}}</h3>
    </div>
    <!-- /.card-header -->
    <div class="card-body">
        <form action="{{ route('land.update', $land->id) }}" method="POST">
            @csrf
            @method('PUT')
            <div class="row">

                <div class="col-sm-4">

                    <div class="form-group">
                        <label>{{__('general.resident_name')}}<span class="text-danger"> * </span></label>
                        <select class="form-control select2" style="width: 100%;" name="resident_id">
                          <option>{{__('general.select')}}</option>
                          @foreach ($residents as $resident)
                              <option value="{{ $resident->id }}" @if($land->resident_id == $resident->id) selected @endif >
                                {{ $resident->NIC.'-'.$resident->name.' '.$resident->father_name.' '.$resident->grandfather_name }}
                              </option>
                          @endforeach
                        </select>
                    </div>

                  <div class="form-group">
                      <label>{{__('general.shahrak_name')}}<span class="text-danger"> * </span></label>
                      <select class="form-control select2" style="width: 100%;" name="shahrak_id">
                        <option>{{__('general.select')}}</option>
                        @foreach ($shahraks as $id => $shahrakname)
                          <option value="{{ $id }}"  @if($land->shahrak_id == $id) selected @endif >{{ $shahrakname }}</option>
                        @endforeach
                      </select>
                    </div>
                    <div class="form-group">
                      <label>{{__('general.type')}}<span class="text-danger"> * </span></label>
                      <select class="form-control select2" style="width: 100%;" name="type">
                        <option>{{__('general.select')}}</option>
                        <option value="government" @if($land->type == 'government') selected @endif>{{__('general.government')}}</option>
                        <option value="private" @if($land->type == 'private') selected @endif>{{__('general.private')}} </option>

                      </select>
                    </div>
                    <div class="form-group col-sm-12">
                        <label for="exampleInputEmail1">{{__('general.land_no')}}<span class="text-danger"> * </span></label>
                        <input value="{{ $land->land_no }}" name="landno" type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter land No">
                    </div>
                    <div class="form-group col-sm-12">
                        <label for="exampleInputEmail1">{{__('language.District')}}<span class="text-danger"> * </span></label>
                        <input value="{{ $land->district }}" name="district" type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter district">
                    </div>




                </div>
                <div class="col-sm-4">

                    <div class="form-group col-sm-12">
                        <label for="exampleInputEmail1">{{__('language.East')}}</label>
                        <input value="{{ $land->east }}" name="East" type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter West">
                    </div>
                    <div class="form-group col-sm-12">
                        <label for="exampleInputEmail1">{{__('language.West')}}</label>
                        <input value="{{ $land->west }}" name="West" type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter West">
                    </div>
                    <div class="form-group col-sm-12">
                        <label for="exampleInputEmail1">{{__('language.North')}}</label>
                        <input value="{{ $land->north }}" name="North" type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter North">
                    </div>
                    <div class="form-group col-sm-12">
                        <label for="exampleInputEmail1">{{__('language.South')}}</label>
                        <input value="{{ $land->south }}" name="South" type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter South">
                    </div>
                    <div class="form-group col-sm-12">
                        <label for="exampleInputEmail1">{{__('language.Areasize')}}<span class="text-danger"> * </span></label>
                        <input value="{{ $land->area_size }}" name="Areasize" type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter Area-size">
                    </div>


                </div>
                <div class="col-sm-4">

                    <div class="form-group col-sm-12">
                        <label for="exampleInputEmail1">{{__('language.Totalprice')}}<span class="text-danger"> * </span></label>
                        <input value="{{ $land->total_price }}" name="Totalprice" type="number" class="form-control" id="Totalprice" onchange="countAmount()" >
                    </div>

                    <div class="form-group col-sm-12">
                        <label for="exampleInputEmail1">{{__('general.persentage')}}<span class="text-danger"> * </span></label>
                        <input value="{{ $land->percentage }}" name="percentage" type="number" class="form-control" id="percentage" onchange="countAmount()" >
                    </div>
                    <div class="form-group col-sm-12">
                        <label for="exampleInputEmail1">{{__('general.net_amount')}}<span class="text-danger"> * </span></label>
                        <input value="{{ $land->net_amount }}" name="net_amount" type="text" class="form-control" id="tax" readonly >
                    </div>
                    <div class="form-group col-sm-12">
                        <label>{{__('language.Date')}}<span class="text-danger"> * </span></label>
                        <div class="input-group date" id="reservationdatetime" data-target-input="nearest">
                            <input name="date" type="text" value="{{ $land->date }}" class="form-control jalali-date" data-target="#reservationdatetime">

                        </div>
                    </div>
                </div>
        </div>
        <button type="submit" class="btn btn-info btn-flat">{{__('general.add_land')}}</button>
        </div>
        </form>
    </div>
    <!-- /.card-body -->
</div>


</div>

@endsection

@pushOnce('datatables-script')
<script>
  function countAmount() {
      var tax = ($('#percentage').val() * $('#Totalprice').val()) / 100;
      // alert(tax);
      $('#tax').val(tax);
  }
</script>
@endpushOnce

resources/views/land/listland.blade.php
@extends('app')

@section('page_title',__('general.land_list'))

@section('body')
@if ($message = session('message'))
<div class="callout callout-success">
  <p class="text-success">
    <b><i class="fas fa-info"></i></b> {{ $message }}
  </p>
</div>
@endif


<section class="content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-12">

          <!-- /.card -->

          <div class="card">

            <div class="card-body">
              <table id="example1" class="table table-bordered table-striped" style="width: 100%;">
                <thead>
                <tr>
                  <th>{{ __('general.shahrak') }} </th>
                  <th>{{ __('general.owner') }}</th>
                  <th>{{ __('general.land_no') }}</th>
                  <th>{{ __('general.persentage') }}</th>
                  <th>{{ __('general.net_amount') }}</th>
                  <th>{{ __('general.paid') }}</th>
                  <th>{{ __('general.due') }}</th>
                  <th>{{ __('general.options') }}</th>

                </tr>
                </thead>
                <tbody>
                    @foreach ($lands as $land)
                        <tr>
                            <td>
                                {{ $land->shahrak->shahrak_name }}
                            </td>
                            <td>
                                {{ $land->resident->name }} {{ $land->resident->father_name }}
                            </td>
                            <td>
                                {{ $land->land_no }}
                            </td>

                            <td>
                              {{ $land->percentage }}
                            </td>
                            <td>
                              {{ $land->net_amount .' '.__('general.afn') }}
                            </td>
                            <td>
                                {{ $land->payments->sum('amount') .' '.__('general.afn') }}
                            </td>
                            <td>
                              {{ $land->net_amount - $land->payments->sum('amount') .' '.__('general.afn')}}
                            </td>

                            <td>

                              <a class="btn btn-info btn-xs" href="{{ route('land.show', $land->id)}}">{{__('general.view') }}</a>
                              <a class="btn btn-primary btn-xs" href="{{ route('land.edit',$land->id)}}">{{__('general.edit') }}</a>
                              <a class="btn btn-danger btn-xs" onclick="confirmDelete({{ $land->id }})" href="#">{{__('general.delete')}}</a>

                              <form id="delete{{$land->id}}" action="{{ route('land.destroy', $land->id)}}" method="post">
                                @csrf
                                @method('DELETE')
                              </form>

                            </td>
                        </tr>
                    @endforeach
                </tbody>
              </table>
            </div>
            <!-- /.card-body -->
          </div>
          <!-- /.card -->
        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->
    </div>
    <!-- /.container-fluid -->
  </section>


@endsection


@pushOnce('datatables-script')
<script src="{{ asset('/plugins/datatables/jquery.dataTables.min.js') }}"></script>
<script src="{{ asset('/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js') }}"></script>
<script src="{{ asset('/plugins/datatables-responsive/js/dataTables.responsive.min.js') }}"></script>
<script src="{{ asset('/plugins/datatables-responsive/js/responsive.bootstrap4.min.js') }}"></script>
<script src="{{ asset('/plugins/datatables-buttons/js/dataTables.buttons.min.js') }}"></script>
<script src="{{ asset('/plugins/datatables-buttons/js/buttons.bootstrap4.min.js') }}"></script>
<script src="{{ asset('/plugins/jszip/jszip.min.js') }}"></script>
<script src="{{ asset('/plugins/pdfmake/pdfmake.min.js') }}"></script>
<script src="{{ asset('/plugins/pdfmake/vfs_fonts.js') }}"></script>
<script src="{{ asset('/plugins/datatables-buttons/js/buttons.html5.min.js') }}"></script>
<script src="{{ asset('/plugins/datatables-buttons/js/buttons.print.min.js') }}"></script>
<script src="{{ asset('/plugins/datatables-buttons/js/buttons.colVis.min.js') }}"></script>


<script>
  $(function () {
  $("#example1").DataTable({
    "responsive": true, "lengthChange": false, "autoWidth": false,
    // "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
  }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
  $('#example2').DataTable({
    "paging": true,
    "lengthChange": false,
    "searching": false,
    "ordering": true,
    "info": true,
    "autoWidth": false,
    "responsive": true,
  });
});

</script>

<script>
function confirmDelete(id) {
  let text = 'آیا مطمین استید تا این ریکارد حذف شود؟';
  if (confirm(text) == true) {
    $('form#delete'+id).submit();

  } else {
    alert('ریکارد حذف نشد.');
  }

}
</script>

@endpushOnce